PDA

View Full Version : Major Additions - RPG Inferno v2.4 Lite


Zero Tolerance
26 Dec 2005, 21:40
A lite version of the RPG Inferno v2.4, I would list the features but it's a lot, so a a fast way would be to check out the admin demo of it, the link is here (http://demo.infernotechnologies.net/, Note: This is now the demo site for v3), I don't see a problem with posting it but feel free to put that right staff, so basically, that with the following features removed:


This modification contains a MySQL injection vulnerability, and you are hereby advised to unintall this modification until such time that the author provides a fix.
-- vBorg Staff


- Lottery
- Hospital
- Donate (Items & money)
- Clans
- Triple Triad (Shop, Card Packs, TT Battle Ground, Triad Trade)
- Auctions
- Member List
- Advanced Member Search
- Import/Export RPG Settings (ACP)

And another point which should be acknowledged:

All additional pages RPG Inferno Lite show google advertisements, only 1 block will be shown below the RPG Navigation, and they will not be present on any existing pages of your forum, only the additional ones added by RPG Inferno Lite. If you're still unsure of this and wish to ask questions please contact me for assistance.

Any questions, problems, anything, post below, I'll try my best to answer everything I can but my time is extremely short these days.

- Zero Tolerance

ThePimp
26 Dec 2005, 22:10
Can I be first? :rolleyes:

EDIT: Is there a full version available yet?

cclaerhout
26 Dec 2005, 22:30
Thanks for this nice hack ZT. Tell me, i've looked inside the xml installation file and i've seen many phrases which are still hardcoded. Is it the same with the full version ?

Answer to ThePimp : i think full version is available because you can buy it ;)
http://infernotechnologies.net/

Zero Tolerance
26 Dec 2005, 22:36
There is a full version yes, link should be still in my signature, upgrading is extremely easy too, download the paid version, upload all the new files, import the new product and you're done :)

And yes, this version unfortunatly isn't phrased.

- Zero Tolerance

ReadOrDie
26 Dec 2005, 22:55
Thanks for the rpg! What do you mean this isn't phrased? I have to pay for somehthing?

Zero Tolerance
26 Dec 2005, 23:14
Phrased meaning the ability to translate it, all the language is hard coded in this version. But if you have an english speaking forum, no worries ;)

- Zero Tolerance

ReadOrDie
27 Dec 2005, 01:26
It says upload images first, where do I upload them? Do I upload the images themselves, or the inferno image folder? Do I upload to forums/images? or just forums..

ReadOrDie
27 Dec 2005, 01:38
Update: i still havnt fixed the above problem and step two says go to: http://YOURSITE.com/FORUMS/admincp/rpginferno_installation.php
i change that with my site and continue however when i do that theres nothing there i get this error: The requested URL /powweb-bin/php4/forum/admincp/rpginferno_installation.php was not found on this server.
however i uploaded the exact upload folder to my root director like the directions said. so i went into my uploads folder and went to this url instead

http://www.gaiaevolved.com/forum/UPLOAD/admincp/rpginferno_installation.php which says:
The file /www/g/gaiaevolvedc/htdocs/forum/UPLOAD/admincp/rpginferno_installation.php has been encoded with the ionCube PHP Encoder and requires the free ioncube_loader_fre_4.4.so ionCube PHP Loader to be installed.

Zero Tolerance
27 Dec 2005, 01:48
You wern't supposed to upload the UPLOAD folder itself, but the contents of the upload folder :)

- Zero Tolerance

rb290
27 Dec 2005, 02:00
so what exactly is this ?

rb290
27 Dec 2005, 02:32
ok nevermind, where does all the images folders go into ? root directory or images directory ?

yxboom
27 Dec 2005, 02:37
Thanks for this.

I installed and everything installed fine, no errors. However when I go to inferno.php in my browser I get a download attempt. ioncube is said to be installed on my server (CentOS 4). Any help would be appreciated.

evenmonkeys
27 Dec 2005, 03:01
Meh... I like the hack... but I'll wait until the users of the site create the extra options you've taken out. That's all of the fun stuff anyways.

rb290
27 Dec 2005, 03:03
Thanks for this.

I installed and everything installed fine, no errors. However when I go to inferno.php in my browser I get a download attempt. ioncube is said to be installed on my server (CentOS 4). Any help would be appreciated.

do you know where the images get uploaded too ?

edit: nevermind im slow

ReadOrDie
27 Dec 2005, 03:17
You wern't supposed to upload the UPLOAD folder itself, but the contents of the upload folder :)

- Zero Tolerance

Do I upload it's contents to the forum root? Or Do i upload each folder into its rightful place? and i have no iconcube folder, what's that for.
and im still getting the ioncube error.

Cole2026
27 Dec 2005, 03:44
Do I upload it's contents to the forum root? Or Do i upload each folder into its rightful place? and i have no iconcube folder, what's that for.
and im still getting the ioncube error.

In the UPLOAD folder in the zip, just highlight all the contents of the folder, and upload it to forumroot.

To clairify, everything that goes into the Admincp folder is in the folder admincp/ in the upload folder, and should be uploaded to the admincp folder on your forums.

If you upload all the contents of the ioncube folder to the forumroot/ioncube, the encoder error should go away as well.

DKN
27 Dec 2005, 03:56
This would be cooler if there was an option where you could have animations of your RPG character in battle like Moogie's mod for phpBB.

ReadOrDie
27 Dec 2005, 04:52
In the UPLOAD folder in the zip, just highlight all the contents of the folder, and upload it to forumroot.

To clairify, everything that goes into the Admincp folder is in the folder admincp/ in the upload folder, and should be uploaded to the admincp folder on your forums.

If you upload all the contents of the ioncube folder to the forumroot/ioncube, the encoder error should go away as well.

The file /www/g/gaiaevolvedc/htdocs/forum/admincp/rpginferno_installation.php has been encoded with the ionCube PHP Encoder and requires the free ioncube_loader_fre_4.4.so ionCube PHP Loader to be installed.

Did as you said errors still there.

tuanluu
27 Dec 2005, 05:13
I got the same problem too admincp\rpginferno_installation.php has been encoded with the ionCube PHP Encoder and requires the free ioncube_loader_win_5.0.dll ionCube PHP Loader to be installed.

run on win server 2003

rb290
27 Dec 2005, 05:45
hey ZT I added a job from the admincp but when I go to Jobs it has nothing displayed, might know why ?

Decado
27 Dec 2005, 06:13
You need to create at least one evolution step for each job.

rb290
27 Dec 2005, 07:42
oh ok thankss.

what about the name glow item that you can buy.
can you revert that back to normal color they had ?

Snake
27 Dec 2005, 12:18
Sweet I have been waiting for this lite version. Thanks man!

Zelda-King
27 Dec 2005, 12:38
The javascript for Select Which Jobs/Classes Can Use This Item isn't working for me.

Zero Tolerance
27 Dec 2005, 15:16
Seems a few people here are having problems with the ionCube, I'll go update the release with all the ioncube loaders to hopefully stop this problem :)

- Zero Tolerance

Cromulent
27 Dec 2005, 15:31
Nice work, I'm definatly thinking about installing this when my forum comes back online.

Sooner95
27 Dec 2005, 15:44
ok, where''s the lotto? lol installed fine ect, settigns are set.. is this something I have to add myself?

memorex
27 Dec 2005, 15:54
He stated its a lite version in that he omitted the following list which are in the full version in his sig.

- Lottery
- Hospital
- Donate (Items & money)
- Clans
- Triple Triad (Shop, Card Packs, TT Battle Ground, Triad Trade)
- Auctions
- Member List
- Advanced Member Search
- Import/Export RPG Settings (ACP)

Replicators
27 Dec 2005, 15:54
ok, where''s the lotto? lol installed fine ect, settigns are set.. is this something I have to add myself?

Why do you think it's called RPG Inferno v2.4 "Lite"?

ReadOrDie
27 Dec 2005, 16:05
Seems a few people here are having problems with the ionCube, I'll go update the release with all the ioncube loaders to hopefully stop this problem :)

- Zero Tolerance

I'll go meaning now? or later? I'm confused lol.

Decado
27 Dec 2005, 16:11
As it says at the top - the lottery is one of the features removed from the free version.

Sooner95
27 Dec 2005, 16:28
@ memorex I read right thru it, and didn't even pick it up. Thx for pointing that out. Guss I will check out the full version.

@Replicators Thx for your worthless response. I am sure you've never made a mistake.

Zero Tolerance
27 Dec 2005, 16:39
I've updated the package, because of the difference in servers i've given instructions on how to download the ioncube loaders and what to do with them, it's very simple you just need to verify what server type you're running on :)

Also a few minor bugs have been fixed, so it'd be a good idea to update, simply re-download, and re-upload inferno.php :)

- Zero Tolerance

tuanluu
27 Dec 2005, 16:57
I redownload the file uploaded, but still have the same problem. " VB3.5\admincp\rpginferno_installation.php has been encoded with the ionCube PHP Encoder and requires the free ioncube_loader_win_5.0.dll ionCube PHP Loader to be installed"

I also dowload the free ioncube_loader_win_5.0.dll ionCube PHP Loader and installed too. I followed the instruction ZT have updated.

Any idea how I can fix these problem?

Zero Tolerance
27 Dec 2005, 17:07
I redownload the file uploaded, but still have the same problem. " VB3.5\admincp\rpginferno_installation.php has been encoded with the ionCube PHP Encoder and requires the free ioncube_loader_win_5.0.dll ionCube PHP Loader to be installed"

I also dowload the free ioncube_loader_win_5.0.dll ionCube PHP Loader and installed too. I followed the instruction ZT have updated.

Any idea how I can fix these problem?

http://www.ioncube.com/loaders.php

Download Windows (x86) tar.gz, extract, upload the "ioncube" folder and it's contents to your forums root directory :)

- Zero Tolerance

daniely
27 Dec 2005, 17:35
http://www.ioncube.com/loaders.php

Download Windows (x86) tar.gz, extract, upload the "ioncube" folder and it's contents to your forums root directory :)

- Zero Tolerance

The system installs perfectly for me but in battle the following words appear above the logo:


Warning: Division by zero in /Inferno/system/engine.system.php on line 43


Normally, I'd try to fix it but... I can't if I can't edit the code because of Ion Coder.

Zero Tolerance
27 Dec 2005, 17:40
The system installs perfectly for me but in battle the following words appear above the logo:


Warning: Division by zero in /Inferno/system/engine.system.php on line 43


Normally, I'd try to fix it but... I can't if I can't edit the code because of Ion Coder.

I assume your up against a battle bot with 0 for some of the stats, ensure the stats are atleast at 1, I belive that's pointed out in the ACP when adding/editing AI Bots :)

- Zero Tolerance

Replicators
27 Dec 2005, 17:48
Would the linux work on a FreeBSD server?

Zero Tolerance
27 Dec 2005, 17:54
I wouldn't think so, the loaders for FreeBSD 4 can be found here: http://downloads.ioncube.com/loader_downloads/ioncube_loaders_fre_x86.tar.gz

- Zero Tolerance

Zelda-King
27 Dec 2005, 17:57
The javascript for Select Which Jobs/Classes Can Use This Item isn't working for me.I'm just wondering whether this is ioncube related or not.

daniely
27 Dec 2005, 17:57
Oh, thank you. ^_^

Is it possible to edit templates for the system if say I want to... Add a link in the store?

Zero Tolerance
27 Dec 2005, 18:00
I'll look into it Zelda-King, and daniel yes, the HTML templates are not encoded, they are free to edit as you wish :)

- Zero Tolerance

Zero Tolerance
27 Dec 2005, 18:01
Working fine for me Zelda-King, all I can say is make sure you have jobs added to your system :)

- Zero Tolerance

daniely
27 Dec 2005, 18:08
daniel yes, the HTML templates are not encoded, they are free to edit as you wish :)

- Zero Tolerance
Thank you for the quick reply. I am glad to here this except I am not sure which templates because I have so many back from the days of VB3.0, if it is not to much trouble; may you make a list of the templates?

EDIT: Nevermind, found it. Now I feel like a moron. >.< Well, thank you for your help.

Zero Tolerance
27 Dec 2005, 18:33
Thank you for the quick reply. I am glad to here this except I am not sure which templates because I have so many back from the days of VB3.0, if it is not to much trouble; may you make a list of the templates?

EDIT: Nevermind, found it. Now I feel like a moron. >.< Well, thank you for your help.

Just incase anyone else is wondering, the templates for the hack are all grouped under "RPG Inferno Templates", they are named somewhat appropriatly, In my eyes anyway =P

- Zero Tolerance

Replicators
27 Dec 2005, 18:43
I am only having one prob,and this picture will explain it all...

http://www.starfyrez.com/doh.jpg

Zero Tolerance
27 Dec 2005, 18:47
In your navbar, change:
vbmenu_register("rpg");
To:
vbmenu_register("rpg", 1);

:)

- Zero Tolerance

Replicators
27 Dec 2005, 18:53
I had a feeling when comparing to the search code, but wasn't sure,but thank you!

SilentK
27 Dec 2005, 20:36
I've added jobs in the admincp and all the requirements for it are 0 but the the job still does not come up in the job list.

tuanluu
27 Dec 2005, 22:02
http://www.ioncube.com/loaders.php

Download Windows (x86) tar.gz, extract, upload the "ioncube" folder and it's contents to your forums root directory :)

- Zero Tolerance

did that still have the same problem. Does it make any different that I am running on my test board at home? my home server run win 2003 server PHP 5.0.5, MySQL Version 5.0.15-nt..


Am I the only with problem? : :squareeyed:

Replicators
27 Dec 2005, 23:01
Ok, it installed perfectly and works at 100%, one thing that puzzles me, is it meant for people to be able to equip potions on themselves? You should make another option when creating a item on whether the item is useable once/infinite/equippable/etc. otherwise people may end up equipping potions and the like heh. Unless i am missing something here.

yxboom
28 Dec 2005, 00:25
I've updated the package, because of the difference in servers i've given instructions on how to download the ioncube loaders and what to do with them, it's very simple you just need to verify what server type you're running on :)

Also a few minor bugs have been fixed, so it'd be a good idea to update, simply re-download, and re-upload inferno.php :)

- Zero Tolerance
Ive updated the loaders as well as the updated inferno.php file and I am still encountering the problem laid out in this post (http://www.vbulletin.org/forum/showpost.php?p=857512&postcount=12). any help would be appreciated.

Replicators
28 Dec 2005, 00:44
Ok, it installed perfectly and works at 100%, one thing that puzzles me, is it meant for people to be able to equip potions on themselves? You should make another option when creating a item on whether the item is useable once/infinite/equippable/etc. otherwise people may end up equipping potions and the like heh. Unless i am missing something here.

Nevermind this lol, i get it. One other thing i have is is it possible to have limited ammo weapons? Like bow and arrows,or throwing knives, etc.? Or two handed swords?

subnet_rx
28 Dec 2005, 03:37
I'm getting this error when trying to install.


Database error in vBulletin 3.5.2:

Invalid SQL:
CREATE TABLE `inferno_attack` (
`aid` int(11) NOT NULL auto_increment,
`aname` text NOT NULL,
`atype` text NOT NULL,
`asprite` text NOT NULL,
`amp_cost` int(15) NOT NULL default '0',
PRIMARY KEY (`aid`)
) ENGINE=MyISAM;;

MySQL Error : Table 'inferno_attack' already exists
Error Number : 1050


I checked phpMyAdmin and all the tables do exist, the installation won't continue though.

subnet_rx
28 Dec 2005, 04:10
Nevermind, just went back to the backup database then reinstalled and didn't have a problem. I think there was an error because I wasn't logged in as admin.

Decado
28 Dec 2005, 04:33
SIlentK make sure jobs have at least one evolution step, that there is at least one job set to is this a starting job - yes and that the evolutionj is set to evolves from (the starting job) and starting job = no

Zero Tolerance
28 Dec 2005, 05:43
Ive updated the loaders as well as the updated inferno.php file and I am still encountering the problem laid out in this post (http://www.vbulletin.org/forum/showpost.php?p=857512&postcount=12). any help would be appreciated.

It'd be best to contact your host to see which ionCube loaders you need, or the pain staking task of trail and error, trying each loader out 1 at a time.

- Zero Tolerance

tuanluu
28 Dec 2005, 07:26
does it make any different install in win xp pro or win 2003? For some reason I try it on win xp pro, it work fine but not for win 2003

any sugestion?

yxboom
28 Dec 2005, 07:30
It'd be best to contact your host to see which ionCube loaders you need, or the pain staking task of trail and error, trying each loader out 1 at a time.

- Zero Tolerance
i contacted them and was told the Linux x86 (which is the one I originally downloaded). For the sake of troubleshooting I downloaded the different packages and each time I went to inferno.php i got this error message:

The file /{test site folder}/inferno.php has been encoded with the ionCube PHP Encoder and requires the free ioncube_loader_lin_4.3.so ionCube PHP Loader to be installed.

All except for the original one that I installed give me that error. The one that I get no error opens up a download link for inferno.php

Any other possible solutions? If you would be willing to look at it I would gladly send you the URL. Thanks for your help.

tuanluu
28 Dec 2005, 09:16
I got it too work now.. thanks ... are a user guide or manual?

Sooner95
28 Dec 2005, 12:52
what does thismean?

The encoded file /home/****/public_html/forums/inferno.php has expired.



ok, redid the iocube and uploaded the new files, seems to have fixed it.

hsl.com
28 Dec 2005, 15:46
This hack is conflicting with my Permissions...
Database error in vBulletin 3.5.2:

Invalid SQL:
UPDATE vbb_usergroup SET

### UPDATE QUERY GENERATED BY fetch_query_sql() ###
`title` = 'Administrators',
`description` = '',
`usertitle` = 'Administrator',
`opentag` = '<b><font color=\"red\">',
`closetag` = '</font></b>',
`passwordexpires` = '0',
`passwordhistory` = '0',
`arcadepermissions` = '255',
`infernopermissions` = '0',
`adminpermissions` = '3',
`userpagepermissions` = '15',
`forumpermissions` = '1048575',
`attachlimit` = '0',
`pmquota` = '50',
`pmpermissions` = '3',
`pmsendmax` = '5',
`calendarpermissions` = '63',
`wolpermissions` = '31',
`genericpermissions` = '205520831',
`genericoptions` = '31',
`profilepicmaxwidth` = '300',
`profilepicmaxheight` = '300',
`profilepicmaxsize` = '1000000',
`avatarmaxwidth` = '180',
`avatarmaxheight` = '180',
`avatarmaxsize` = '20000'
WHERE usergroupid=6;

MySQL Error : Unknown column 'infernopermissions' in 'field list'
Error Number : 1054
Date : Wednesday, December 28th 2005 @ 11:40:50 AM
Script : http://www.highsteppinglive.com/forum/admincp/usergroup.php
Referrer : http://www.highsteppinglive.com/forum/admincp/usergroup.php?do=edit&usergroupid=6
IP Address : 68.40.217.39
Username : Darius
Classname : vB_Database

Zelda-King
28 Dec 2005, 16:31
Working fine for me Zelda-King, all I can say is make sure you have jobs added to your system :)That WAS my problem. Your advice worked. I did notice a few things though;

- In the RPG CP I get the following in the header: Warning: Invalid argument supplied for foreach() in /inferno.php on line 880

- inferno_redirect_template uncached on redirect screen.
Is there a FAQ somewhere where we can look up what certain things do (like Moon Light, Remedy)?/Set up how fast people level up/Set up a decent help file? There's so much in here and I'm sure it's not best ALL just asked in this thread.

rb290
28 Dec 2005, 19:47
so this expired for me..
why is that?
or do i have to buy the full version?

daniely
28 Dec 2005, 22:23
I have been enjoying this hack very much, and so are my members.

However, is it possible to make addons to this hack because of the ionCode?

ReadOrDie
28 Dec 2005, 22:25
This is really confusing...the whole ioncube thing I don't know which one to download or how to upload it or whatever, then you give an ioncube then tell us to download from another site im confused, and the errors. And the directions aren't clear on where to upload exactly. Is there another version of this that's easier to install? Because this one is too hard.

hsl.com
28 Dec 2005, 22:43
This hack is conflicting with my Permissions...
Database error in vBulletin 3.5.2:

Invalid SQL:
UPDATE vbb_usergroup SET

### UPDATE QUERY GENERATED BY fetch_query_sql() ###
`title` = 'Administrators',
`description` = '',
`usertitle` = 'Administrator',
`opentag` = '<b><font color=\"red\">',
`closetag` = '</font></b>',
`passwordexpires` = '0',
`passwordhistory` = '0',
`arcadepermissions` = '255',
`infernopermissions` = '0',
`adminpermissions` = '3',
`userpagepermissions` = '15',
`forumpermissions` = '1048575',
`attachlimit` = '0',
`pmquota` = '50',
`pmpermissions` = '3',
`pmsendmax` = '5',
`calendarpermissions` = '63',
`wolpermissions` = '31',
`genericpermissions` = '205520831',
`genericoptions` = '31',
`profilepicmaxwidth` = '300',
`profilepicmaxheight` = '300',
`profilepicmaxsize` = '1000000',
`avatarmaxwidth` = '180',
`avatarmaxheight` = '180',
`avatarmaxsize` = '20000'
WHERE usergroupid=6;

MySQL Error : Unknown column 'infernopermissions' in 'field list'
Error Number : 1054
Date : Wednesday, December 28th 2005 @ 11:40:50 AM
Script : http://www.highsteppinglive.com/forum/admincp/usergroup.php
Referrer : http://www.highsteppinglive.com/forum/admincp/usergroup.php?do=edit&usergroupid=6
IP Address : 68.40.217.39
Username : Darius
Classname : vB_Database


*cough* *cough*

Zero Tolerance
29 Dec 2005, 02:47
Well first thing first - I had no idea the ioncube encoder was a trial version, so my sincere apologies, I've just purchased the full version and awaiting confirmation for that so I can re-encode and get it back up, after that I'll deal with any oddity errors people may be experiencing :)

- Zero Tolerance

ReadOrDie
29 Dec 2005, 03:57
Well first thing first - I had no idea the ioncube encoder was a trial version, so my sincere apologies, I've just purchased the full version and awaiting confirmation for that so I can re-encode and get it back up, after that I'll deal with any oddity errors people may be experiencing :)

- Zero Tolerance

Will the directions be clearer on where to upload things? Like uploading the folder, or the contents within the folder? And tell us where things go specifically? :ermm: Thanks!

ReadOrDie
29 Dec 2005, 04:35
This was messing up my permissions settings for other hacks, uninstalled.

Marco van Herwaarden
29 Dec 2005, 06:44
From our rules:
* Modifications must not be encrypted and the source code hidden using ZEND or other methods. This is an visible-source hack website.

This modification has been removed because of the above rule.
The author is encouraged to upload a non-encrypted version.

rb290
29 Dec 2005, 07:59
alright thanks, ill be waiting till you make it full version

Sooner95
29 Dec 2005, 13:49
ah great. maybe should have waited.

Sooner95
29 Dec 2005, 13:54
cant even uninstall it cause its expired. Hate stuff that screws up my bbs.

Sooner95
29 Dec 2005, 22:16
Still nothing? really like to get all these menus in my adminCP to go away, if possible.

rb290
30 Dec 2005, 04:40
^^^^^ just delete these files.. includes/xml/bitfield_rpginferno.xml and includes/xml/cpnav_rpginferno.xml

Zero Tolerance
30 Dec 2005, 05:12
Updated, all users who previously installed simply re-download and re-upload all the new php files :)

Sorry for the inconveniance,

- Zero Tolerance

Zelda-King
30 Dec 2005, 07:20
Thanks for working so quickly on the fix (not to mention investing). Working fine here. :)

Zero Tolerance
30 Dec 2005, 11:31
Thanks for working so quickly on the fix (not to mention investing). Working fine here. :)

Glad to see everything is operational, a wasted investment too, lol, but I'll find some use for the encoder some day :p

- Zero Tolerance

Replicators
30 Dec 2005, 11:54
This is a good mod, and i can understand the reason's you had to protect the code, i can bet you poured alot of time and work into this, and in 3 months you can count on my $60 >8)

BTW would you permit other people to make games and distribute them for other people's use? Not everybody is a RPG dev. I am making one based on FF2 and FF3 (USA versions).

Another thing, you should of made it to where you can make the option to have a player fight a certain boss only once or how many times the admin sets it. For boss battles and such. Otherwise people will be fighting the boss fights as much as possible and get alot of exp doing so. And have a list of all bosses they have killed on their profile page cause some of us would wanna build some really tough battles.

Also having music playing while browsing and stuff would be nice when adding world music and stuff,and shop music for when in shops. But you would have to make the sections for certain music for when you change screens the music won't restart(if even possible), that would annoy people.

Sooner95
30 Dec 2005, 13:07
Updated, all users who previously installed simply re-download and re-upload all the new php files :)

Sorry for the inconveniance,

- Zero Tolerance

Many thanks.

Decado
30 Dec 2005, 13:35
Replicators your suggestions are already underway in version 3.0, as for making XMLs with the full version you can feel free to, if they are up to scratch then we may even distribute them for you via the company website =)

Replicators
30 Dec 2005, 17:35
I am sorry for all these suggetions/questions/etc. but would it be possible to let the admin set the level up system and also starting statistics?

Decado
30 Dec 2005, 18:27
Negative. The level up system in 2.4 would be far too easy to break :p It is possible if you edit the php... but chances are it'd just get screwed :p. starting stats... people are meant to get jobs, so it doesnt matter, since you can edit the starting job stats.

Drago912
30 Dec 2005, 18:37
why am I getting this error.....

The encoded file \forum\inferno.php has expired.

Decado
30 Dec 2005, 19:11
Redownload and upload the file, if you read the thread it was originally encoded using a trial version of ioncube, that has been removed.

Replicators
30 Dec 2005, 19:14
One last thing then, what is the max level a player can get to?

Decado
31 Dec 2005, 01:43
There isnt one, we will be introducing an optional max with the new version though. ^.^ I feel i should point out there wont be a lite version of the new one for quite a long time if at all though, in case anyone was going to wait for it.

DKN
31 Dec 2005, 06:32
After installing, when I go to a RPG page, I get this error

Fatal error: Cannot redeclare sendpm() (previously declared in /home/anigames/public_html/forums/inferno.php:340) in /home/anigames/public_html/forums/includes/functions_warning.php on line 23

Decado
31 Dec 2005, 07:23
This is an issue with the AWS, it would seem. I would reccomend using a different warning system, or contacting the creator of the AWS about it.

DKN
31 Dec 2005, 09:36
Yeah, this isn't AWS friendly. I had to change RunError, sendpm, and ParseInput to something else in inferno.php.

Replicators
31 Dec 2005, 13:02
There isnt one, we will be introducing an optional max with the new version though. ^.^ I feel i should point out there wont be a lite version of the new one for quite a long time if at all though, in case anyone was going to wait for it.

I plan to buy the full version so i'm not worried >8)

Replicators
31 Dec 2005, 18:55
I can't seem to get the jobs right, I want to make it to where people can choose their job at first,but no matter what i set the jobs to people cannot choose a job when they first start(and yes i went to the jobs page,but nothing was in there). Also it would be a good idea to allow people to select what job they want when they first make their character, and you missed a Agility stat for rangers, just to determine who gets first attack or is that determined by another stat? I just can't stop asking questions,so sorry!

Cicada
31 Dec 2005, 20:41
about to install it right now :D awesome RPG. if i decide to purchase the full version, it's an easy upgrade correct? i wont have to uninstall/lose all previous data from the lite version?

Decado
31 Dec 2005, 22:41
When people first start they are jobless, and must find a job. If yo ureally want people to have a job when they first start, just make one evolution chain, then they don't really have any choice. You're right about the agility stat, i think EVA is the replacement stat for deciding that, stats are re done in 3.0 completely.

It should be a simple upgrade with easy porting, yes, but don't quote me on the ;)

Zero Tolerance
31 Dec 2005, 23:29
about to install it right now :D awesome RPG. if i decide to purchase the full version, it's an easy upgrade correct? i wont have to uninstall/lose all previous data from the lite version?

Upgrade would consist of simply re-uploading all new php files and re-installing the product xml file, few minutes work at the most. :)

- Zero Tolerance

Zelda-King
01 Jan 2006, 00:53
I purchased the full version. I know this thread isn't meant to be for talking about issues like the following but I can't stay logged into your board to use the support section there (I tried clearing cookies, using a different browser, turning off my firewall, manually enabling your site, turning down Windows settings. No joy. Weird...). Anyway my bots: whatever settings I have them on, the EXP earned appears the same, and it appears EXP earned also depends on what our stats are. Is that by design, and is there a way of setting the EXP gained in battles?

Dark_D
01 Jan 2006, 01:27
In the item shop and spell shop, when I try to add an item I get :
You did not select any jobs/classes that can use this spell.
or
You did not select any classes that can use this item.

Any ideas why that is?
Do you have to fill in all these items with the full version like you do with the lite?

Decado
01 Jan 2006, 02:28
Zelda add myself or ZT to MSN please, and we will help you with your problems. Dark D you need to add jobs first, and then add items etc, as it says. In the full version you can simply upload images and an XML which has lots of stuff premade and ready for you to use.

Dark_D
01 Jan 2006, 02:46
Worked like a charm, thanks. :)

Cicada
01 Jan 2006, 02:48
In the item shop and spell shop, when I try to add an item I get :
You did not select any jobs/classes that can use this spell.
or
You did not select any classes that can use this item.

Any ideas why that is?
Do you have to fill in all these items with the full version like you do with the lite?

you have to create all the jobs/classes/items/everything yourself.

its a bit of a pain because you have to add everything one-by-one, but its cool that way too, because you can make the entire RPG exactly how you want it, instead of all settings,items,etc coming from a template.

another question: where, if possible, can oyu set how much XP is required for a certain level/to reach the next level? or is it hardcoded into the RPG?

Decado
01 Jan 2006, 05:38
The exp to up a level is hardcoded. its an algorithm based on all sorts of factors. hence why we dont allow it to be changed.

Cicada
01 Jan 2006, 10:58
how will upgrade work from v 2.4 to 3.0?

if i decide to wait until 3.0 to purchase, will i be able to upgrade fro 2.4 lite to 3.0?

also how is chance to hit calculated? any particular stat? it seems like my characters [when fighting bots and in pvp] couldnt hit the broad side of a barn, even when players/mosnters are at equal level..

Decado
01 Jan 2006, 11:45
No you wont be able to upgrade from 2.4 lite to 3.0.

3.0 will be totally different, its being coded from the ground up. Hit chance is calculated with STR and EVA.

Replicators
01 Jan 2006, 12:14
in 3.0 will it be changed to the music that plays in battle will be set as to what the admin chooses for it instead of having the player choose which song he'd like to hear?

Also would it atleast be possible to share the stats that each lvl up gives and how it works, otherwise we will have to guess on how powerfull to make monsters and how strong we should make weapons. Without knowing it would be nearly impossible to make a challenging rpg as we don't know how strong a character will be at lvl 50 etc.

Decado
01 Jan 2006, 13:15
"Also would it atleast be possible to share the stats that each lvl up gives and how it works"

You set the amount of attrib points players get to spend in the ACP. Your best bet would be to check the attrib points you would give a player, use some sums and apply the same to a bot, then make it slightly less/more powerful at that level, depending on how difficult you want it to be.

As for the music thing, its possible, its not been started yet.

Cicada
01 Jan 2006, 20:50
No you wont be able to upgrade from 2.4 lite to 3.0.

3.0 will be totally different, its being coded from the ground up. Hit chance is calculated with STR and EVA.
what about from 2.4 full to 3.0?

so STR is checked against EVA for chance to hit?

Zero Tolerance
01 Jan 2006, 20:59
what about from 2.4 full to 3.0?

so STR is checked against EVA for chance to hit?

A negative too, the system is completely different and everyone who wishes to update will be starting fresh.

- Zero Tolerance

nexus851
01 Jan 2006, 21:36
A negative too, the system is completely different and everyone who wishes to update will be starting fresh.

- Zero Tolerance


When will INFERNO v3.0 be released? or ballpark idea?

What new features or better features/graphics will it have ?

Nick King
01 Jan 2006, 22:35
Database error in vBulletin 3.5.2:

Invalid SQL:
CREATE TABLE `inferno_attack` (
`aid` int(11) NOT NULL auto_increment,
`aname` text NOT NULL,
`atype` text NOT NULL,
`asprite` text NOT NULL,
`amp_cost` int(15) NOT NULL default '0',
PRIMARY KEY (`aid`)
) ENGINE=MyISAM;;

MySQL Error : You have an error in your SQL syntax near 'ENGINE=MyISAM' at line 8
Error Number : 1064
Date : Sunday, January 1st 2006 @ 05:34:18 PM
Script : http://localhost/forums/admincp/rpginferno_installation.php
Referrer : http://localhost/forums/admincp/rpginferno_installation.php
IP Address : 127.0.0.1
Username : Viral Architect
Classname : vb_database

My best guess is that my SQL database doesn't like MyISAM. Can I replace this with anything? What can I replace it with?

EDIT: To fix this problem, replace ENGINE=MyISAM to TYPE=MyISAM

Gizmo5h1t3
02 Jan 2006, 01:25
installed and workin a treat...nice to see u releasing stuff again ZT......

Zero Tolerance
02 Jan 2006, 04:46
When will INFERNO v3.0 be released? or ballpark idea?

What new features or better features/graphics will it have ?

I'm sorry I can't give that info out here, feel free to PM me if you'd like.

Nick King, inside rpginferno_installation.php, find all instances of "ENGINE=MyISAM" and replace it with "TYPE=MyISAM", save, upload, re-run the script :)

- Zero Tolerance

Cicada
02 Jan 2006, 06:18
A negative too, the system is completely different and everyone who wishes to update will be starting fresh.

- Zero Toleranceif i buy a license now, will the downlaod for 3.0 be free, or should i wait until the new version is released? :)what stat are spells checked against?

if anyoen can give me a quick rundown on what each stat does/checks for, i'd appreciate it greatly. tia!

tuanluu
02 Jan 2006, 07:32
when 3 will release? I bought the full version allready.

ReadOrDie
02 Jan 2006, 10:39
I thought this came with default settings >_< I didnt know I would have to add music,spells, AI bots etc...

Decado
02 Jan 2006, 11:12
The ability to import/export full settings etc is only available in the full version, you need to make your own in the lite version.

Snake
02 Jan 2006, 11:47
Make your own version? You insane? Just get the full version for only $30 lol.

tidy_boy
02 Jan 2006, 15:11
Hi there can some explain what this actually does please as it looks pretty cool

Decado
02 Jan 2006, 15:22
It is basically a game for your forum members to play. They pick a job (say warrior, wizard etc) which they evolve through the ranks of. They earn money and experience by posting (if you set it that way) or through batlting other members/bots. They can then buy weapons etc to fight harder bots and members and so on and so forth.

GrendelKhan{TSU
02 Jan 2006, 15:25
I'm really sorry to hear you have no phrased version. :(


any plans to have a phrased version? I'd buy the full one now if there was one.

Decado
02 Jan 2006, 15:36
v 3.0 (the version currently in production) will be fully phrased :)

Cicada
02 Jan 2006, 16:41
if i buy a license now, will the downlaod for 3.0 be free, or should i wait until the new version is released? :)what stat are spells checked against?

if anyoen can give me a quick rundown on what each stat does/checks for, i'd appreciate it greatly. tia!

""""

Decado
02 Jan 2006, 17:06
We can't talk about the paid version in this thread, thats why no one answered you, if you add me to msn - decadoiceblade@aol.com - i will answer your questions

bbkg
03 Jan 2006, 03:24
Zero Tolerance, you'r the best))

GrendelKhan{TSU
03 Jan 2006, 04:47
v 3.0 (the version currently in production) will be fully phrased :)

great to hear!!

<< paypal ready.

any ideas on when that will be released?

opteek
03 Jan 2006, 04:56
I tried to install RPG Inferno Lite on 3.5.2, anyways, I got some sql error and started working on something else eventually, but now I'm having problems creating a usergroup, for instance. When the system does the QUERY to create the table,

### INSERT QUERY GENERATED BY fetch_query_sql() ###
INSERT INTO usergroup
(`title`, `description`, `usertitle`, `opentag`, `closetag`, `passwordexpires`, `passwordhistory`, `ispublicgroup`, `canoverride`, `infernopermissions`, `adminpermissions`, `itraderpermissions`, `arcadepermissions`, `forumpermissions`, `attachlimit`, `pmquota`, `pmpermissions`, `pmsendmax`, `calendarpermissions`, `wolpermissions`, `genericpermissions`, `genericoptions`, `profilepicmaxwidth`, `profilepicmaxheight`, `profilepicmaxsize`, `avatarmaxwidth`, `avatarmaxheight`, `avatarmaxsize`, `vbpunch`)
VALUES
('Inactive Member', 'Inactive members go here..', 'Inactive Member', '', '', '', '', '0', '0', '0', '0', '0', '0', '651271', '1000000', '0', '0', '5', '0', '1', '2626563', '9', '100', '100', '25000', '50', '50', '20000', '0');

MySQL Error : Unknown column 'infernopermissions' in 'field list'
Error Number : 1054
Date : Friday, December 30th 2005 @ 02:18:43 PM

Where is the information stored which tables the script edits when I add things, so I get rid of infernopermissions...

Nick King
03 Jan 2006, 05:44
infernopermissions is in the usergroup table.

It may help to run rpginferno_uninstallation.php then run rpginferno_installation.php again.

Nick King
03 Jan 2006, 05:46
Sorry to doublepost, but it said in the first post that Triad Cards and Clans were included but I don't have them. Are they included in the full version or am I missing something really important?

Decado
03 Jan 2006, 06:59
it says in the first post they are NOT a feature of the lite version.

"with the following features removed:"

And again i ask that anyone who has questions about the paid/3.0 versions of inferno PM/IM me about them, since we cannot discuss them in this thread, much as we would like to.

opteek
03 Jan 2006, 17:26
infernopermissions is in the usergroup table.

It may help to run rpginferno_uninstallation.php then run rpginferno_installation.php again.

I get an error when I try to run the install or uninstall scripts. If infernopermissions does not actually exist in the usergroup table, then why does vB think it does??

Decado
03 Jan 2006, 18:39
if you have the AWS installed that's probably the culprit.

ReadOrDie
03 Jan 2006, 22:30
Question, when someone dies, how do they get revived?

opteek
04 Jan 2006, 06:04
if you have the AWS installed that's probably the culprit.

No, I do not have AWS installed.

Here is the SQL error I get when I attempt to run the installation script:
Database error in vBulletin 3.5.2:

Invalid SQL:
CREATE TABLE `inferno_attack` (
`aid` int(11) NOT NULL auto_increment,
`aname` text NOT NULL,
`atype` text NOT NULL,
`asprite` text NOT NULL,
`amp_cost` int(15) NOT NULL default '0',
PRIMARY KEY (`aid`)
) ENGINE=MyISAM;;

MySQL Error : You have an error in your SQL syntax near 'ENGINE=MyISAM' at line 8
Error Number : 1064

And here is the error I recieve when I attempt to run the uninstallation script:

Database error in vBulletin 3.5.2:

Invalid SQL:
alter table usergroup drop infernopermissions;

MySQL Error : Can't DROP 'infernopermissions'. Check that column/key exists
Error Number : 1091

Decado
04 Jan 2006, 06:31
To revive someone they just take a potion etc to bring their HP back up. To fix the installation script find all instances of "ENGINE=MyISAM;"; and replace with

"TYPE=MYISAM;;"

save, upload, and re run the script.

opteek
04 Jan 2006, 19:50
To fix the installation script find all instances of "ENGINE=MyISAM;"; and replace with

"TYPE=MYISAM;;"

save, upload, and re run the script.

Ok, that worked. Could you explain to me what the problem was? Also, I installed the game successfully, then I uninstalled the XML file and ran the uninstallation script, which also stated a success, but I still have the RPG Inferno Settings, ItemShop Control, etc, etc, in my AdminCP in the left frame... how do I delete these?

Also, after removing the XML and running the uninstall script, what other traces of RPGinferno are left on the system.. anywhere else I should look? I plan on installing the game on my testboard and playing around with it.

And one last question; when I tried to run a the installation script that I downloaded about a week ago, ioncube told me the script had expired, so I downloaded this package again and it worked. How is expiration set on these php scripts?

TIA

Decado
04 Jan 2006, 20:47
the ioncube encoding was removed from these scripts, the engine/type thing im not certain on, i think it was a slight change between v 3.5.0 and 3.5.2, but it will probably be fixed soon, the current installation file wont expire or whatnot, and everything *should* have been removed with the script...

Sooner95
05 Jan 2006, 14:17
I uninstalled this last week. Thought everything was cool, until i got this today when updating usergroup permissions.

`profilepicmaxheight` = '350',
`profilepicmaxsize` = '131070',
`avatarmaxwidth` = '150',
`avatarmaxheight` = '150',
`avatarmaxsize` = '64000',
`infernopermissions` = '0'
WHERE usergroupid=2;

MySQL Error : Unknown column 'infernopermissions' in 'field list'
Error Number : 1054

What did I miss?

eXtremeTim
06 Jan 2006, 07:21
I uninstalled this last week. Thought everything was cool, until i got this today when updating usergroup permissions.



What did I miss?

You need to go into the includes/xml folder and remove the bitfield_rpginferno.xml file while your at it remove cpnav_rpginferno.xml if its still there.

Sooner95
06 Jan 2006, 11:49
I had done this before. I am going to have to install this thing and then uninstall it again huh?

Seratus
07 Jan 2006, 23:38
i want to install this, but i have a problem :disappointed:

Invalid SQL:
CREATE TABLE `inferno_attack` (
`aid` int(11) NOT NULL auto_increment,
`aname` text NOT NULL,
`atype` text NOT NULL,
`asprite` text NOT NULL,
`amp_cost` int(15) NOT NULL default '0',
PRIMARY KEY (`aid`)
) ENGINE=MyISAM;;

MySQL-Fehler : You have an error in your SQL syntax near 'ENGINE=MyISAM' at line 8
Fehler-Nr. : 1064
Datum : Sunday, January 8th 2006 @ 01:35:18 AM

Decado
08 Jan 2006, 02:23
Find all instances of ENGINE=MyISAM and change to TYPE=MYISAM

Xtrato
08 Jan 2006, 20:07
You need to go into the includes/xml folder and remove the bitfield_rpginferno.xml file while your at it remove cpnav_rpginferno.xml if its still there.

do you do that for every hack after its uninstalled?

dbfury
12 Jan 2006, 01:28
Very good hack!
It would be really interresant to integrate a "real-time" battle system where you would see the fights without having to be redirected at each move, perhaps with ajax? It would be interresting also to be able to select a character and see him moving in the battle, I suggest something like you create a "state" system where the rpg administrator would associate each one to some sprites representating a move(by exemple fist attack); all what you would have to do is to play these states depending of the actions choosen by the players in-game.

And thanks for your great work! ;)

likwidsage
12 Jan 2006, 01:40
I think this is a wonderful hack. I'm considering buying the full one. The thing is I can't seem to get attacks to work in the lite version. Everytime someone tries to attack, the page is redirected the shops section. I figured out that the attack form's action page goes to "inferno.php?do=" instead of "inferno.php?do=BattleAttack" which is why it's being redirected to the shops place. Please let me know how to fix this.

BuRNZau
12 Jan 2006, 09:42
I want to give my moderators access to Inferno RPG controls but not access to the Admin CP.

Can I just copy the Inferno RPG files in admincp to the modcp dir? Or is something else needed?

eXtremeTim
14 Jan 2006, 19:25
I think this is a wonderful hack. I'm considering buying the full one. The thing is I can't seem to get attacks to work in the lite version. Everytime someone tries to attack, the page is redirected the shops section. I figured out that the attack form's action page goes to "inferno.php?do=" instead of "inferno.php?do=BattleAttack" which is why it's being redirected to the shops place. Please let me know how to fix this.

can you provide a link to your site and an account to login with you can feel free to pm this to me.

Kurisu
15 Jan 2006, 23:40
I want to give my moderators access to Inferno RPG controls but not access to the Admin CP.

Can I just copy the Inferno RPG files in admincp to the modcp dir? Or is something else needed?

Don't know if your method works but this will work:
- Create a new usergroup and set it up as administrator (but check forum permissions afterwards).
- Give your mods that newly created usergroup as a secondary usergroup.
- Set "Can Administer RPG Inferno" to yes in your administrator permission settings for all your mods while setting all other options to no.

That way they can administrate the RPG settings while not touching any other thin in the ACP

SpecOpsX
18 Jan 2006, 03:20
I have a serious error, followed the instructions given and didn't notice anything going wrong. However I clearly didn't do something right

http://www.redzpage.com/vbl2k/inferno.php?do=Profile

Any help given is much appreciated, I'm new to VB so I'm still learning all the ways it works.

Thanks

Decado
18 Jan 2006, 09:56
I suggest uninstalling and reinstallign and followign it step by step, making sure you are importing the correct files and following the instructions to the letter. Maybe also try not giving guests access to it, although i doubt this is the problem.

eXtremeTim
18 Jan 2006, 14:51
First try uploading inferno.php again. It looks to me like somehow you might have removed the first <?php line from the file.

SpecOpsX
18 Jan 2006, 19:09
Reuploaded inferno.php and it works thanks

username12
28 Jan 2006, 09:53
The ability to import/export full settings etc is only available in the full version, you need to make your own in the lite version.

Are these available for download somewhere?

Decado
28 Jan 2006, 22:17
for the full version yes, in the support area for the full version.

fatalsex
29 Jan 2006, 01:38
Can i translate it tp other lang ? If yes - how ? And where ?
Thanks.. It very needed

asianboi
01 Feb 2006, 14:47
is there a way to put the cash in the postbit_legacy template?

Annie^.^
03 Feb 2006, 17:28
I like this very much now I have a question. How can I assign a user for this RPG that he will have complete access in the admin, but he only sees the RPG related section and nothing else at left side of the menu?

MoveOver.cc
19 Feb 2006, 20:16
I am getting this error -

Database error in vBulletin 3.5.3:

Invalid SQL:
CREATE TABLE `inferno_attack` (
`aid` int(11) NOT NULL auto_increment,
`aname` text NOT NULL,
`atype` text NOT NULL,
`asprite` text NOT NULL,
`amp_cost` int(15) NOT NULL default '0',
PRIMARY KEY (`aid`)
) ENGINE=MyISAM;;

MySQL Error : You have an error in your SQL syntax near 'ENGINE=MyISAM' at line 8
Error Number : 1064
Date : Sunday, February 19th 2006 @ 09:12:57 PM
Script : http://212.67.202.205/~mad4it4/forums/admincp/rpginferno_installation.php



Any suggestions please.

username12
19 Feb 2006, 20:57
I am getting this error -

Database error in vBulletin 3.5.3:

Invalid SQL:
CREATE TABLE `inferno_attack` (
`aid` int(11) NOT NULL auto_increment,
`aname` text NOT NULL,
`atype` text NOT NULL,
`asprite` text NOT NULL,
`amp_cost` int(15) NOT NULL default '0',
PRIMARY KEY (`aid`)
) ENGINE=MyISAM;;

MySQL Error : You have an error in your SQL syntax near 'ENGINE=MyISAM' at line 8
Error Number : 1064
Date : Sunday, February 19th 2006 @ 09:12:57 PM
Script : http://212.67.202.205/~mad4it4/forums/admincp/rpginferno_installation.php



Any suggestions please.

http://www.vbulletin.org/forum/showpost.php?p=867616&postcount=141

RichieBoy67
21 Feb 2006, 22:14
I have this all loaded and I believe it is running perfectly. I was just wondering.... Are there any weapons etc already created or do we have to create all this stuff??

If anyone can post some queri for these items it would make things way easier... Thanks for writing this!! It is awesome... If and when I have some extra money I will be sure to upgrade to the paid version..

Thanks..

username12
21 Feb 2006, 22:24
You need to create them. There's a pack for the full version, but even that needs to be messed with so it's basically more of a starting point than anything.

RichieBoy67
22 Feb 2006, 00:52
Guess I'm just looking for the easy way out...lol I guess I could copy a bit from the demo if need be.. I honestly don't have the time or imagination to deal with this right now with all the BS going on in my life.. Thats another post though for the lounge I guess..


Thanks for replying :)

RichieBoy67
22 Feb 2006, 17:23
Would anyone mind letting use their list of items??? I would really appreciate it...

Thanks

nintendo
23 Feb 2006, 13:16
To save your sanity, get the paid version!!! Then, go to the support board over there and you'll find a RPG Pack that'll bomb you with a TON of stuff (8 megs of stuff!!!)!!!!! The time saved from manually entering every item and figuring out what to give each item and so on will make it well worth the price!!!!

There will be some stuff you'll need to enter, like the Store Control section, though over all, almost every thing is in that RPG Pack!!!!!

RichieBoy67
23 Feb 2006, 16:38
I would buy it if I had the money but right now I am lucky if I have money to buy food.....

creedmaniac
10 Mar 2006, 22:14
i'm trying to order and for some reason i can never log in when i do the purchase option...

creedmaniac
11 Mar 2006, 17:18
what table/column does this store points in?...and how can i change it to use the vbplaza system?

MoveOver.cc
20 Mar 2006, 19:46
I am still getting a problem with Line 8 of my rpginferno_installation.php file.

Line 8 says

) ENGINE=MYISAM;";

I have changed the My to MY but still have the following error -

Database error in vBulletin 3.5.4:

Invalid SQL:
CREATE TABLE `inferno_attack` (
`aid` int(11) NOT NULL auto_increment,
`aname` text NOT NULL,
`atype` text NOT NULL,
`asprite` text NOT NULL,
`amp_cost` int(15) NOT NULL default '0',
PRIMARY KEY (`aid`)
) ENGINE=MYISAM;;

MySQL Error : You have an error in your SQL syntax near 'ENGINE=MYISAM' at line 8
Error Number : 1064
Date : Monday, March 20th 2006 @ 08:45:44 PM


Any ideas chaps

tehste
20 Mar 2006, 19:53
change:
) ENGINE=MYISAM;;
to
);

MoveOver.cc
25 Mar 2006, 13:29
Great, have followed the instructions and is now fixed.

Unfortunately I now have another problem -




Quote:
Warning: opendir(Inferno/elements): failed to open dir: No such file or directory in /admincp/inferno_element_control.php on line 220

Warning: readdir(): supplied argument is not a valid Directory resource in /admincp/inferno_element_control.php on line 222



The above error is found on the "Edit Element" section. When I click on "Select An Element Image" there are no images showing even though I have uploaded them via Itemshop.

Please help.

Hornstar
30 Mar 2006, 00:00
Was there a solution to the AWS bug?

Romeos Tune
30 Mar 2006, 02:18
What aws bug?

Hornstar
30 Mar 2006, 19:59
What aws bug?



Fatal error: Cannot redeclare sendpm() (previously declared in /*/*/*forums/inferno.php:572) in /*/*/*/forums/includes/functions_warning.php on line 23


When I try to install the RPG I get this error, its because of the AWS

I've been told i need to change certain functions then all the calls, but i'm not sure what the calls are, and if sendpm is the only function and if that is the function lol

Any help would be great to get this working.

Thanks

ReadOrDie
05 Apr 2006, 02:40
Is there a way I can make it so only a person with X amount of posts can use it?

Decado
16 Apr 2006, 18:45
make a new usergroup that they can join when they get X posts, and give it access to inferno.

Tyegurl
21 Apr 2006, 01:48
i have one question that is a runon

If i buy the full version which i will do just not at the moment....will the bots, basic items, basic weapons, etc. come installed?

I could also use a base rpg guide. one that will tell me about the jobs, items, bots, weapons, armor, etc.

or just a base guide to start me out....like a hierarchy kind of... mage>archmage>magus or something like that.....

please?

whitetigergrowl
22 Apr 2006, 03:22
Can't use test board. It says cookie is too old and needs to be reset...and it wont let me do that either. So no way of testing the hack there.

Decado
25 Apr 2006, 19:33
you can get a set from the official support forums when you buy the full version, and i'll look into that cookies problem.

Tyegurl
25 Apr 2006, 21:07
you can get a set from the official support forums when you buy the full version, and i'll look into that cookies problem.

set of what?

aramik
08 May 2006, 10:18
in the full version can you change the money system? IE, intergrate uCash with this rpg?

cayote
15 May 2006, 04:39
Demo board still does not work...password expired 224 days ago, so I'm concerned that there will be no support for this hack.

Zowners
22 May 2006, 01:38
Help please cant run the installer. When I click add templates it come sup with the error.

Invalid or empty style file specified

Help please

Hoffi
23 May 2006, 12:44
I can't enter the Job Page to select one. Is there a known Problem?

ReadOrDie
24 May 2006, 06:18
I bought this so hopefully I'll get better support. This is the error I get:

Warning: import_product(/www/g/gaiaevolvedc/htdocs/forum/includes/class_rpg_core.php): failed to open stream: No such file or directory in /installer/class_installer.php on line 782

Fatal error: import_product(): Failed opening required '/www/g/gaiaevolvedc/htdocs/forum/includes/class_rpg_core.php' (include_path='.:/usr/local/lib/php') in /www/g/gaiaevolvedc/htdocs/forum/installer/class_installer.php on line 782

monstergamer
08 Jun 2006, 17:07
mever mind i got it

Replicators
08 Jun 2006, 23:55
I bought this so hopefully I'll get better support. This is the error I get:

Your host must be powweb, same as me >8P

Renmiri
10 Jul 2006, 03:53
Hi!
Love the mod but for now I'm a hopeless n00b :confused: trying to set all up and getting confused... Is there any forum where users can ask each other those n00b questions without bugging Zero Tolerance ?
This is one of them:
I can't enter the Job Page to select one. Is there a known Problem?


Thanks!

Ren


PS: I do have a question for ZT or the more experienced here: Is there any way / mod or setting to allow more than one RPG character per VB user ? I realy need that one!

osvi
16 Jul 2006, 08:22
is compatible with vb 3.5.4?

Snake
16 Jul 2006, 13:54
Yes it should work fine on v3.5.4. ;)

osvi
16 Jul 2006, 23:08
when i try to create a pg it says:

"An error has occured, the following message has been left below:

You're usergroup does not have access to use RPG Inferno."

how can i resolve this problem?

osvi
17 Jul 2006, 01:01
ok i resolve that problem but is it normal that i've no item stored in db, no bot, no avatar? where can i download them?

i've done all that it says in the readme file :(

osvi
17 Jul 2006, 10:53
have i to insert all the items, armors, weapons, bot by myself?

or is there something default?

Renmiri
25 Jul 2006, 00:17
have i to insert all the items, armors, weapons, bot by myself?

or is there something default?
Like adding smilies in VB, RPG Lite has a way to insert all in a folder for you. Basically any image file on the proper folder is selectable (items folder = Inferno/items and so on). ZT has the folders preloaded with a lot of good pics of items, weapons, armors, etc... Just try to add one and you will see.

Don't know about bots and jobs are tricky but other than that it is pretty self explanatory. Just relax and take your time... ;)

kofoid
17 Sep 2006, 22:20
Can anyone help me with a javascript error? Well more like a non-working javascript thing. When I go to add a new item and I click on "select all classes" at the end of the screen - nothing happens. This is the case in both IE and firefox. Any assistance would be appreciated

kofoid
17 Sep 2006, 22:21
**** In fact, no javascript features are working

mikeylikesitz
23 Nov 2006, 16:57
does this work in 3.6.x?

Flow Fusion
28 Nov 2006, 15:30
Do I have to add ALL of the weapons, items etc.? Or can I mass add? Also can I get a user manual or something?

Flow Fusion
29 Nov 2006, 01:50
Yeah I'm having the same issue with java script

Flow Fusion
29 Nov 2006, 02:00
Oh My fault...I got it great hack lol

itdevil
12 Dec 2006, 13:51
does this work in 3.6.x?



i just installed it on clean installed vB 3.6.4 and it installed fine :) so i think i would be safe to say it will work with 3.6.x

Shana
12 Dec 2006, 16:03
Lies, I just tried on a 3.6.3 and it screwed up majorly. I had to re-edit all these things 'cause it messed up, and the installer freezes on step 6.

itdevil
12 Dec 2006, 16:24
Lies, I just tried on a 3.6.3 and it screwed up majorly. I had to re-edit all these things 'cause it messed up, and the installer freezes on step 6.

I can bring the forums online and show you i am not wrong about my claims. You might have something wrong...

Best Regards,
ITDevil

Edit
@Shana, I have setup a demo for this hack on clean installed vBulletin 3.6.4. anyone who wishes to verify my claim can do so using the fallowing tmp board.

http://demo.fratym.com/vB/index.php

this demo will be deleted this weekend (15-12-2006).

Thank You!

Shana
12 Dec 2006, 18:59
Holy hacks >_>

JubeiSaotome
24 Dec 2006, 23:39
Why does it say it has Triple Triad and lists "Decks" in the profile, but there's no way to use this? Am I Missing something?

JubeiSaotome
25 Dec 2006, 07:21
Wow, this is a really sloppy script for something that has a pay version. Card game isn't in, yet it's in the profiles, Sections of the RPG that are empty, No default database (Customization is in the pay version right?) and so on. I wouldn't pay a cent on a pay version of this, not unless the free version was done properly. The free version is meant to sell the script, not drive people away.

mikeylikesitz
25 Dec 2006, 16:26
i normally wouldnt respond to something like this, but as a user that paid for the script i can tell you that it is one of the best of its kind. I dont know about the free version myself as i never put this one in, but the paid version is second to none period. I dont normally buy scripts for vbulletin as .org here is great for free scripts, but after researching this a little bit i can tell you that i didnt hesitate to buy this. It is a great addition to my forums.

whiteeagle0
07 Mar 2007, 17:32
Zero Tolerance Is It Possible That We Can Animate A Avatar To Battle The Monsters I Got A Few 1,000 Animations For Avatars And Monsters And Spells :)

MMavipc
01 Apr 2007, 16:45
When I click 'Add Templates', it says this:
Could not find phrase 'invalid_or_empty_style_file'.
How do I fix it?

Mrdby
12 May 2007, 13:21
demo anybody?